Retrieve events collection

This operation returns an object containing information about user activity and scan events.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Retrieve events from one or more comma-separated categories. EXAMPLE: vuln,scan,user.

string

Retrieve events of a particular type. 'type' is a single value classification of an 'event'. An event may have multiple categories. EXAMPLE: Event "user created", has type "new_user". Categories of "new_user" would be "user" and "user_create".

string

Retrieve events that have a type that contains the given string. Example: 'gr' would retrieve events that would match 'group_added' and 'asset_assigned_to_group', etc.

string

Retrieve events logged before the given date (and optionally a time). Requires a valid ISO-8601 (UTC/GMT) date format string. EXAMPLES: Date: '2020-06-25' Date with timestamp: '2020-06-24T19:43:37.740Z'

string

Retrieve events logged after the given date (and optionally a time). Requires a valid ISO-8601 (UTC/GMT) date format string. EXAMPLES: Date: '2020-06-25' Date with timestamp: '2020-06-24T19:43:37.740Z'

string
enum
Defaults to site

Retrieve events for a particular asset type.

Allowed:
string

Retrieve events logged for an asset that contains the given string in its name.

int32

Limit results to n number of pages.

int32

Begin showing results from page number n.

string
enum
Defaults to id

Order the results.

Allowed:
string
enum
Defaults to xml

Data format for results.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

BadRequestResponse indicates a request with invalid parameters.

401

UnauthorizedResponse signals an unauthorized API access.

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized.

500

GenericError generic error.

Language
LoadingLoading…
Response
Choose an example:
application/json
application/xml
text/csv, text/comma-separated-values